nxt.ae

## Class OrderHome

- java.lang.Object
- - nxt.ae.OrderHome

-     public final class OrderHome
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `OrderHome.Ask`
    `class` | `OrderHome.Bid`
    `class` | `OrderHome.Order`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OrderHome` | `forChain(ChildChain childChain)`
    `DbIterator<OrderHome.Ask>` | `getAllAskOrders(int from, int to)`
    `DbIterator<OrderHome.Bid>` | `getAllBidOrders(int from, int to)`
    `int` | `getAskCount()`
    `OrderHome.Ask` | `getAskOrder(long orderId)`
    `DbIterator<OrderHome.Ask>` | `getAskOrdersByAccount(long accountId, int from, int to)`
    `DbIterator<OrderHome.Ask>` | `getAskOrdersByAccountAsset(long accountId, long assetId, int from, int to)`
    `DbIterator<OrderHome.Ask>` | `getAskOrdersByAsset(long assetId, int from, int to)`
    `int` | `getBidCount()`
    `OrderHome.Bid` | `getBidOrder(long orderId)`
    `DbIterator<OrderHome.Bid>` | `getBidOrdersByAccount(long accountId, int from, int to)`
    `DbIterator<OrderHome.Bid>` | `getBidOrdersByAccountAsset(long accountId, long assetId, int from, int to)`
    `DbIterator<OrderHome.Bid>` | `getBidOrdersByAsset(long assetId, int from, int to)`
    `DbIterator<OrderHome.Ask>` | `getSortedAskOrders(long assetId, int from, int to)`
    `DbIterator<OrderHome.Bid>` | `getSortedBidOrders(long assetId, int from, int to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forChain

          public static OrderHome forChain(ChildChain childChain)

    - #### getAskCount

          public int getAskCount()

    - #### getAskOrder

          public OrderHome.Ask getAskOrder(long orderId)

    - #### getAllAskOrders

          public DbIterator<OrderHome.Ask> getAllAskOrders(int from,
                                                           int to)

    - #### getAskOrdersByAccount

          public DbIterator<OrderHome.Ask> getAskOrdersByAccount(long accountId,
                                                                 int from,
                                                                 int to)

    - #### getAskOrdersByAsset

          public DbIterator<OrderHome.Ask> getAskOrdersByAsset(long assetId,
                                                               int from,
                                                               int to)

    - #### getAskOrdersByAccountAsset

          public DbIterator<OrderHome.Ask> getAskOrdersByAccountAsset(long accountId,
                                                                      long assetId,
                                                                      int from,
                                                                      int to)

    - #### getSortedAskOrders

          public DbIterator<OrderHome.Ask> getSortedAskOrders(long assetId,
                                                              int from,
                                                              int to)

    - #### getBidCount

          public int getBidCount()

    - #### getBidOrder

          public OrderHome.Bid getBidOrder(long orderId)

    - #### getAllBidOrders

          public DbIterator<OrderHome.Bid> getAllBidOrders(int from,
                                                           int to)

    - #### getBidOrdersByAccount

          public DbIterator<OrderHome.Bid> getBidOrdersByAccount(long accountId,
                                                                 int from,
                                                                 int to)

    - #### getBidOrdersByAsset

          public DbIterator<OrderHome.Bid> getBidOrdersByAsset(long assetId,
                                                               int from,
                                                               int to)

    - #### getBidOrdersByAccountAsset

          public DbIterator<OrderHome.Bid> getBidOrdersByAccountAsset(long accountId,
                                                                      long assetId,
                                                                      int from,
                                                                      int to)

    - #### getSortedBidOrders

          public DbIterator<OrderHome.Bid> getSortedBidOrders(long assetId,
                                                              int from,
                                                              int to)